Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class ToggleButton

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.FocusWidget
                  com.google.gwt.user.client.ui.ButtonBase
                      com.google.gwt.user.client.ui.CustomButton
                          com.google.gwt.user.client.ui.ToggleButton

All Implemented Interfaces:
  EventListener, HasFocus, HasHTML, HasText, SourcesClickEvents, SourcesFocusEvents, SourcesKeyboardEvents

    public class ToggleButton

extends CustomButton

A `ToggleButton` is a stylish stateful button which allows the user to toggle between `up` and `down` states.

### CSS Style Rules

- .gwt-ToggleButton-up/down/up-hovering/down-hovering/up-disabled/down-disabled {.html-face}

### Example

>     public class ToggleButtonExample implements EntryPoint {
>       public void onModuleLoad() {
>         // Make a new button that does something when you click it.
>         final ToggleButton toggleButton = new ToggleButton("Up", "Down");
>         toggleButton.addClickListener(new ClickListener() {
>           public void onClick(Widget sender) {
>             if (toggleButton.isDown()) {
>               Window.alert("I have been toggled down");
>             } else {
>               Window.alert("I have been toggled up");
>             }
>           }
>         });

>         // In a real application, you would have to have css styles defined for
>         // gwt-ToggleButton-up,gwt-ToggleButton-up-hovering,gwt-ToggleButton-up-disabled,
>         // gwt-ToggleButton-down,.gwt-ToggleButton-down-hovering,.gwt-ToggleButton-down-disabled

>         // Add the ToggleButton to the root panel.
>         RootPanel.get().add(toggleButton);
>       }
>     }

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.CustomButton
`CustomButton.Face`

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`ToggleButton()` Constructor for `ToggleButton`.
`ToggleButton(Image upImage)` Constructor for `ToggleButton`.
`ToggleButton(Image upImage, ClickListener listener)` Constructor for `ToggleButton`.
`ToggleButton(Image upImage, Image downImage)` Constructor for `ToggleButton`.
`ToggleButton(Image upImage, Image downImage, ClickListener listener)` Constructor for `ToggleButton`.
`ToggleButton(java.lang.String upText)` Constructor for `ToggleButton`.
`ToggleButton(java.lang.String upText, ClickListener listener)` Constructor for `ToggleButton`.
`ToggleButton(java.lang.String upText, java.lang.String downText)` Constructor for `ToggleButton`.

Method Summary
`boolean` | `isDown()` Is this button down?
`protected void` | `onClick()` Called when the user finishes clicking on this button.
`void` | `setDown(boolean down)` Sets whether this button is down.

Methods inherited from class com.google.gwt.user.client.ui.CustomButton
`getDownDisabledFace, getDownFace, getDownHoveringFace, getHTML, getTabIndex, getText, getUpDisabledFace, getUpFace, getUpHoveringFace, onAttach, onBrowserEvent, onClickCancel, onClickStart, onDetach, setAccessKey, setEnabled, setFocus, setHTML, setTabIndex, setText`

Methods inherited from class com.google.gwt.user.client.ui.FocusWidget
`addClickListener, addFocusListener, addKeyboardListener, getFocusImpl, isEnabled, removeClickListener, removeFocusListener, removeKeyboardListener, setElement`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`doAttachChildren, doDetachChildren, getParent, isAttached, onLoad, onUnload, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setHeight, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ToggleButton

    public ToggleButton()

  Constructor for `ToggleButton`.

### ToggleButton

    public ToggleButton(Image upImage)

  Constructor for `ToggleButton`. The supplied image is used to construct the default face.

  Parameters:
    `upImage` - image for the default face of the button

### ToggleButton

    public ToggleButton(Image upImage,
                        ClickListener listener)

  Constructor for `ToggleButton`. The supplied image is used to construct the default face of the button.

  Parameters:
    `upImage` - image for the default (up) face of the button
    `listener` - the click listener

### ToggleButton

    public ToggleButton(Image upImage,
                        Image downImage)

  Constructor for `ToggleButton`.

  Parameters:
    `upImage` - image for the default(up) face of the button
    `downImage` - image for the down face of the button

### ToggleButton

    public ToggleButton(Image upImage,
                        Image downImage,
                        ClickListener listener)

  Constructor for `ToggleButton`.

  Parameters:
    `upImage` - image for the default(up) face of the button
    `downImage` - image for the down face of the button
    `listener` - clickListener

### ToggleButton

    public ToggleButton(java.lang.String upText)

  Constructor for `ToggleButton`. The supplied text is used to construct the default face of the button.

  Parameters:
    `upText` - the text for the default (up) face of the button.

### ToggleButton

    public ToggleButton(java.lang.String upText,
                        ClickListener listener)

  Constructor for `ToggleButton`. The supplied text is used to construct the default face of the button.

  Parameters:
    `upText` - the text for the default (up) face of the button
    `listener` - the click listener

### ToggleButton

    public ToggleButton(java.lang.String upText,
                        java.lang.String downText)

  Constructor for `ToggleButton`.

  Parameters:
    `upText` - the text for the default (up) face of the button
    `downText` - the text for down face of the button

Method Detail

### isDown

    public boolean isDown()

  Description copied from class: `CustomButton`
  Is this button down?

  Overrides:
    `isDown` in class `CustomButton`
  Returns:
    `true` if the button is down

### setDown

    public void setDown(boolean down)

  Description copied from class: `CustomButton`
  Sets whether this button is down.

  Overrides:
    `setDown` in class `CustomButton`
  Parameters:
    `down` - `true` to press the button, `false` otherwise

### onClick

    protected void onClick()

  Description copied from class: `CustomButton`
  Called when the user finishes clicking on this button. The default behavior is to fire the click event to listeners. Subclasses that override `CustomButton.onClickStart()` should override this method to restore the normal widget display.

  Overrides:
    `onClick` in class `CustomButton`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD